#!/usr/bin/python
# This script creates the data to be used for reporting on
# the HW Certification test results.
# It is based on the ubuntu weatherreport from Leann Ogasawara.
#
# Copyright 2010  Canonical, Ltd.
# Author: Marjo Mercado <marjo.mercado@canonical.com>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See http://www.gnu.org/copyleft/gpl.html for
# the full text of the license.
#
# Modification History
# 10 December 2010 - Marjo Mercado
# Changed url to http://people.canonical.com/~hwcert/hw-testing/current.html

from qadashboard_utils import *

def hw_cert():
    metric = "Hardware Certification Lab Test Results"
    color = ""
    #url = "http://people.canonical.com/~hwcert/hw-testing/status"
    status = ""
    #status = urllib2.urlopen(url).read()
    #status = status.strip()
    #status = status.replace("\n", ", ")
    url = "http://people.canonical.com/~hwcert/hw-testing/current.html"
    data = "hw_cert: metric=\"%s\" color=\"%s\" url=\"%s\" status=\"%s\"" % (metric, color, url, status)
    create_file(HW_CERT_FILE, data)

hw_cert()
