#!/usr/bin/python
# This script creates the data to be used for reporting on
# regression related bugs.
# It is based on the ubuntu weatherreport from Leann Ogasawara.
#
# Copyright 2010  Canonical, Ltd.
# Author: Marjo Mercado <marjo.mercado@canonical.com>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See http://www.gnu.org/copyleft/gpl.html for
# the full text of the license.

from qadashboard_utils import *

def regression_tracker():
    metric = "Regression Tracker"
    url = "http://reports.qa.ubuntu.com/reports/regression/regression_tracker.html"

    color = RED

    status = "Regressions Found"

    data = "regression_tracker: metric=\"%s\" color=\"%s\" url=\"%s\" status=\"%s\"" % (metric, color, url, status)
    create_file(REGRESSION_TRACKER_FILE, data)

regression_tracker()
