#!/usr/bin/python
# This script creates the data to be used for reporting on
# bugs with the most users affected by.
# It is based on the ubuntu weatherreport from Leann Ogasawara.
#
# Copyright 2010  Canonical, Ltd.
# Author: Marjo Mercado <marjo.mercado@canonical.com>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See http://www.gnu.org/copyleft/gpl.html for
# the full text of the license.

from qadashboard_utils import *

def bugs_most_users_affected():
    metric = "Bugs Affecting The Most Users"
    color = RED
    url = "http://reports.qa.ubuntu.com/reports/launchpad-database/bugs-with-most-users-affected.html"
    status = "More Than 5 Users Affected"
    data = "bugs_most_users_affected: metric=\"%s\" color=\"%s\" url=\"%s\" status=\"%s\"" % (metric, color, url, status)
    create_file(BUGS_MOST_USERS_AFFECTED_FILE, data)

bugs_most_users_affected()
