#!/usr/bin/python
# This script creates the data to be used for reporting on
# the automated mago tests.
# It is based on the ubuntu weatherreport from Leann Ogasawara.
#
# Copyright 2010  Canonical, Ltd.
# Author: Marjo Mercado <marjo.mercado@canonical.com>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See http://www.gnu.org/copyleft/gpl.html for
# the full text of the license.

from qadashboard_utils import *

def mago_tests():
    # Setup for writing to the data file
    metric = "Desktop Automated Tests on Natty Test Results"
    color = RED
    data = ""
    status = "Testing In Progress"
    url = "http://reports.qa.ubuntu.com/reports/desktop-testing/natty/"

    # Note: The name of the metric must not contain spaces
#    data = "mago_automated_tests: metric=\"%s\" rows=\"%d\" " % (metric, rows) + data
    data = "mago_automated_tests: metric=\"%s\" color=\"%s\" url=\"%s\" status=\"%s\"" % (metric, color, url, status)
    create_file(MAGO_TESTS_FILE, data)

mago_tests()
